OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.LightMaxExponent

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetNVLightMaxExponent :: MonadIO m => m Bool
- gl_NV_light_max_exponent :: Bool
- gl_MAX_SHININESS_NV :: GLenum
- gl_MAX_SPOT_EXPONENT_NV :: GLenum

# Extension Support

glGetNVLightMaxExponent :: MonadIO m => m Bool

Is the NV_light_max_exponent extension supported?

gl_NV_light_max_exponent :: Bool

Is the NV_light_max_exponent extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVLightMaxExponent` in those cases instead.

# Enums

gl_MAX_SHININESS_NV :: GLenum

gl_MAX_SPOT_EXPONENT_NV :: GLenum